/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package GUI;

import java.awt.event.*;

/*********************************************************
* Class for catching item state changes.
* Sets the checked profile icon to "unchecked"
*
* @author Olav Haugan
*
* Date: 14.10.01
*********************************************************/
public class MyItemListener implements ItemListener
{
	MQCFrame frame;
	
	/*********************************************************
	* Construcor. Initializes variables
	*
	* @param MQCFrame A reference to a frame
	*
	*********************************************************/
	public MyItemListener(MQCFrame frame)
	{
		this.frame = frame;
	}
	
	/*********************************************************
	* Called when the user click on an item. 
	*********************************************************/
	public void itemStateChanged(ItemEvent e)
	{
		frame.setCheckProfileIcon(false);
	}
}
