/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package ZEN_IDL.be;

import ZEN_IDL.ast.SimpleNode;
import ZEN_IDL.ast.*;

public class AbstractVisitor implements IDLParserVisitor
{
  public Object visit(SimpleNode node, Object data)
  {
  	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTspecification node, Object data)
  {	
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTdefinition node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTmodule node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTinterfacex node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTabstract_interface_dcl node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTinterface_dcl node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTforward_dcl node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTinterface_header node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTinterface_body node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTexport node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTinheritance_spec node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTscoped_name node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTconst_dcl node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTconst_type node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTconst_exp node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTor_expr node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTor_symbol_expr node, Object data)
  {
  	data = node.childrenAccept(this, data);
        return data;
  }
  public Object visit(ASTxor_expr node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTxor_symbol_expr node, Object data)
  {
        data = node.childrenAccept(this, data);
        return data;
  }
  public Object visit(ASTand_expr node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTand_symbol_expr node, Object data)
  {
        data = node.childrenAccept(this, data);
        return data;
  }
  public Object visit(ASTshift_expr node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTadd_expr node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTmult_expr node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTunary_expr node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTunary_operator node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTprimary_expr node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTliteral node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTboolean_literal node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTpositive_int_const node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTtype_dcl node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTtype_declarator node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTtype_spec node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTsimple_type_spec node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTbase_type_spec node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTtemplate_type_spec node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTconstr_type_spec node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTdeclarators node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTdeclarator node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTsimple_declarator node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTcomplex_declarator node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTfloating_pt_type node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTinteger_type node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTsigned_int node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTsigned_long_int node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTsigned_short_int node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTunsigned_int node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTunsigned_long_int node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTunsigned_short_int node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTchar_type node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTboolean_type node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASToctet_type node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTany_type node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTstruct_type node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTmember_list node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTmember node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTunion_type node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTswitch_type_spec node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTswitch_body node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTcasex node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTcase_label node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTelement_spec node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTenum_type node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTenumerator node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTsequence_type node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTstring_type node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTarray_declarator node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTfixed_array_size node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTattr_dcl node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTexcept_dcl node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTop_dcl node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTop_attribute node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTop_type_spec node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTparameter_dcls node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTparam_dcl node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTparam_attribute node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTraises_expr node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTcontext_expr node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTparam_type_spec node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTidentifier node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTinteger_literal node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTstring_literal node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTcharacter_literal node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTfloating_pt_literal node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTleft_shift_expr node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTright_shift_expr node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTplus_add_expr node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTminus_add_expr node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTtimes_mult_expr node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTdiv_mult_expr node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }
  public Object visit(ASTmod_mult_expr node, Object data)
  {
	data = node.childrenAccept(this, data);
	return data;
  }

}
