/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc.protocols;

/**
 * Hello.
 * 
 * enum ReplyStatusType_1_2 {
 *    NO_EXCEPTION,
 *    USER_EXCEPTION,
 *    SYSTEM_EXCEPTION,
 *    LOCATION_FORWARD,
 *    LOCATION_FORWARD_PERM,
 *    NEEDS_ADDRESSING_MODE
 * };
 *
 * struct ReplyHeader_1_2 {
 *    unsigned long             request_id;
 *    ReplyStatusType_1_2       reply_status;
 *    IOP::ServiceContextList   service_context;
 * };
 *
 */
public class GIOPReplyHeader_1_2 extends GIOPReplyHeader
{

   // enum ReplyStatusType_1_2
   public static final int NO_EXCEPTION          = 0;
   public static final int USER_EXCEPTION        = 1;
   public static final int SYSTEM_EXCEPTION      = 2;
   public static final int LOCATION_FORWARD      = 3;
   public static final int LOCATION_FORWARD_PERM = 4;
   public static final int NEEDS_ADDRESSING_MODE = 5;

   public void deMarshal( CDRInputStream in ) throws RuntimeException
   {
      // unsigned long request_id
      m_reqID = in.readUnsignedLong();

      // ReplyStatusType_1_2 reply_status
      m_replyStatus = in.readUnsignedLong();

      // IOP::ServiceContextList service_context 
      int n = in.readUnsignedLong();
      // SKIP contextlist
      for ( int i=0; i<n; i++) 
      {
         //SeriviceId context_id
         in.readUnsignedLong();
         //sequence<octet> context_data
         in.readOctetSequence();
      }
   }

   public void marshal( CDROutputStream out )
   {
      // unsigned long request_id
      out.writeUnsignedLong( m_reqID );

      // ReplyStatusType_1_2 reply_status
      out.writeUnsignedLong( m_replyStatus );

      // IOP::ServiceContextList service_context
      out.writeUnsignedLong( 0 ); // List of length 0
   }

}
